Subject: Re: bug#29008: 26.0.90; two bugs in gnus-read-ephemeral-*

From: Noam Postavsky <[email-masked]>
Date: Thu, 26 Oct 2017 08:19:50 -0400

Katsumi Yamaoka <[email-masked]> writes:

> Hi,
>
> BUG-1:
> If a group for a certain bug number is once read and its contents
> are cached, the following error happens.  This is the case I do

How do you make it be cached?  I tried M-x
gnus-read-ephemeral-emacs-bug-group with the same number twice in a row,
but I got no error.

> BUG-2:
> An example that (info "(gnus)Foreign Groups") introduces
>
>    Here is an example:
>      (require 'gnus-art)
>      (add-to-list
>       'gnus-button-alist
>       '("#\\([0-9]+\\)\\>" 1
>         (string-match "\\<emacs\\>" (or gnus-newsgroup-name ""))
>         gnus-read-ephemeral-emacs-bug-group 1))
>
> passes a bug number to `gnus-read-ephemeral-emacs-bug-group' as
> a string.  Even if BUG-1 is fixed, this causes a bug as follows:
>
> Debugger entered--Lisp error: (wrong-type-argument numberp "26862")
>   number-to-string("26862")
>   mapconcat(number-to-string ("26862") ",")
>   gnus-read-ephemeral-bug-group(("26862") "https://debbugs.gnu.org/cgi/bugreport.cgi?bug=%s;mboxmaint=yes;mboxstat=yes" nil)
>   gnus-read-ephemeral-emacs-bug-group("26862")

> * lisp/gnus/gnus-group.el (gnus-read-ephemeral-gmane-group)
> (gnus-read-ephemeral-bug-group): Make it work for any number of times.
> (gnus-read-ephemeral-emacs-bug-group): Allow a string for bug#.

Maybe we should fix the example instead?